.last-instagram-shot{
    width: 100%;
    
    @media(min-width: $tablet-bp){
        background-color: #f3efef;
    }
}

.last-instagram-shot__container{
    margin: 0 auto;
    @include flex($direction: column, $align: stretch);
    gap: 13px;
    padding-bottom: 42px;

    @media(min-width: $tablet-bp){
        gap: 35px;
        padding-bottom: 50px;
    }

    @media(min-width: $desktop-bp){
        gap: 24px;
    }
}

.last-instagram-shot__titles{
    @include flex($justify:space-between);
    width: 100%;
    margin-top: 47px;
}

.latest-instagram-shot__title{
    font-size: 14px;
    font-weight: 700;
    line-height: 22px;
    color: $color-text;
    text-transform: uppercase;

    @media(min-width: $tablet-bp){
        font-size: 16px;
    }
}

.latest-instagram-shot__go-to-instagram{
    display: none;

    @media(min-width: $tablet-bp){
        display: block;
        font-size: 13px;
        line-height: 22px;
        font-weight: 700;
        text-transform: uppercase;
    }

    a{
        color: $color-text;
    }
}

.last-instagram-shot__images-container{
    width: 100%;
    @include flex($justify: start);

    @media(min-width: $tablet-bp){
        justify-content: space-between;
        gap: 9px;
    }

    @media(min-width: $desktop-bp){
        gap: 10px;
    }

}

.last-instagram-shot__image-wrapper:nth-child(2),
.last-instagram-shot__image-wrapper:nth-child(3),
.last-instagram-shot__image-wrapper:nth-child(4){
    display: none;
}

.last-instagram-shot__image-wrapper:nth-child(2),
.last-instagram-shot__image-wrapper:nth-child(3){
    @media(min-width: $tablet-bp){
        display: block;
    }
}

.last-instagram-shot__image-wrapper:nth-child(4){
    @media(min-width: $desktop-bp){
        display: block;
    }
}

.last-instagram-shot__image-wrapper{
    @media(min-width: $tablet-bp){
        flex-basis: calc(100%/3);
    }
    
    @media(min-width: $desktop-bp){
        flex-basis: calc(100%/4);
    }

    img{
        width: 100%;
        height: 100%;
    }
}






